'''
Author: your name
Date: 2021-06-30 17:43:46
LastEditTime: 2021-07-09 13:10:51
LastEditors: Please set LastEditors
Description: In User Settings Edit
FilePath: \evm-store\tools\build_out\controllers\__init__.py
'''
#!/usr/bin/env python
# -*- coding: utf_8 -*-

from application.signal_manager import signalManager
from .area import areaManager
from .app import appManager
from .package import packageManager
from .user import userManager
from .login import loginManager
from .file_manager import fileManager

def initConnect():
    signalManager.actionPostArea.connect(areaManager.post)
    signalManager.actionDeleteArea.connect(areaManager.delete)
    signalManager.actionGetListArea.connect(areaManager.getList)
    signalManager.actionGetArea.connect(areaManager.get)
    signalManager.actionPutArea.connect(areaManager.put)
    signalManager.actionPostApp.connect(appManager.post)
    signalManager.actionDeleteApp.connect(appManager.delete)
    signalManager.actionGetListApp.connect(appManager.getList)
    signalManager.actionGetApp.connect(appManager.get)
    signalManager.actionPutApp.connect(appManager.put)
    signalManager.actionGetListPackage.connect(packageManager.getList)
    signalManager.actionGetPackage.connect(packageManager.get)
    signalManager.actionPostUser.connect(userManager.post)
    signalManager.actionDeleteUser.connect(userManager.delete)
    signalManager.actionGetListUser.connect(userManager.getList)
    signalManager.actionGetUser.connect(userManager.get)
    signalManager.actionPutUser.connect(userManager.put)
    signalManager.actionPostLogin.connect(loginManager.post)
    signalManager.actionGetListLogin.connect(loginManager.getList)
    signalManager.actionGetLogin.connect(loginManager.get)
    signalManager.actionGetFileContent.connect(fileManager.content)
    # signalManager.actionGEt